Loading...
Searching...
No Matches
casacore::MSWeatherColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSWeatherColumns.h>`

## Public Member Functions

| MSWeatherColumns (const MSWeather &msWeather)
| Create a columns object that accesses the data in the specified Table.
| ~MSWeatherColumns ()
| The destructor does nothing special.
Bool | isNull () const
| Is this object defined?
ScalarColumn< Int > & | antennaId ()
| Access to required columns.
ScalarColumn< Double > & | interval ()
ScalarQuantColumn< Double > & | intervalQuant ()
ScalarColumn< Double > & | time ()
ScalarQuantColumn< Double > & | timeQuant ()
ScalarMeasColumn< MEpoch > & | timeMeas ()
ScalarColumn< Float > & | dewPoint ()
| Access to optional columns.
ScalarQuantColumn< Float > & | dewPointQuant ()
ScalarColumn< Bool > & | dewPointFlag ()
ScalarColumn< Float > & | H2O ()
ScalarQuantColumn< Float > & | H2OQuant ()
ScalarColumn< Bool > & | H2OFlag ()
ScalarColumn< Float > & | ionosElectron ()
ScalarQuantColumn< Float > & | ionosElectronQuant ()
ScalarColumn< Bool > & | ionosElectronFlag ()
ScalarColumn< Float > & | pressure ()
ScalarQuantColumn< Float > & | pressureQuant ()
ScalarColumn< Bool > & | pressureFlag ()
ScalarColumn< Float > & | relHumidity ()
ScalarColumn< Bool > & | relHumidityFlag ()
ScalarColumn< Float > & | temperature ()
ScalarQuantColumn< Float > & | temperatureQuant ()
ScalarColumn< Bool > & | temperatureFlag ()
ScalarColumn< Float > & | windDirection ()
ScalarQuantColumn< Float > & | windDirectionQuant ()
ScalarColumn< Bool > & | windDirectionFlag ()
ScalarColumn< Float > & | windSpeed ()
ScalarQuantColumn< Float > & | windSpeedQuant ()
ScalarColumn< Bool > & | windSpeedFlag ()
const ScalarColumn< Int > & | antennaId () const
| Const access to columns.
const ScalarColumn< Double > & | interval () const
const ScalarQuantColumn< Double > & | intervalQuant () const
const ScalarColumn< Double > & | time () const
const ScalarQuantColumn< Double > & | timeQuant () const
const ScalarMeasColumn< MEpoch > & | timeMeas () const
const ScalarColumn< Float > & | dewPoint () const
| Access to optional columns.
const ScalarQuantColumn< Float > & | dewPointQuant () const
const ScalarColumn< Bool > & | dewPointFlag () const
const ScalarColumn< Float > & | H2O () const
const ScalarColumn< Bool > & | H2OFlag () const
const ScalarQuantColumn< Float > & | H2OQuant () const
const ScalarColumn< Float > & | ionosElectron () const
const ScalarQuantColumn< Float > & | ionosElectronQuant () const
const ScalarColumn< Bool > & | ionosElectronFlag () const
const ScalarColumn< Float > & | pressure () const
const ScalarQuantColumn< Float > & | pressureQuant () const
const ScalarColumn< Bool > & | pressureFlag () const
const ScalarColumn< Float > & | relHumidity () const
const ScalarColumn< Bool > & | relHumidityFlag () const
const ScalarColumn< Float > & | temperature () const
const ScalarQuantColumn< Float > & | temperatureQuant () const
const ScalarColumn< Bool > & | temperatureFlag () const
const ScalarColumn< Float > & | windDirection () const
const ScalarQuantColumn< Float > & | windDirectionQuant () const
const ScalarColumn< Bool > & | windDirectionFlag () const
const ScalarColumn< Float > & | windSpeed () const
const ScalarQuantColumn< Float > & | windSpeedQuant () const
const ScalarColumn< Bool > & | windSpeedFlag () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the TIME column.

## Protected Member Functions

| MSWeatherColumns ()
void | attach (const MSWeather &msWeather)

## Private Member Functions

| MSWeatherColumns (const MSWeatherColumns &)
MSWeatherColumns & | operator= (const MSWeatherColumns &)
void | attachOptionalCols (const MSWeather &msWeather)

## Private Attributes

Bool | isNull_p
ScalarColumn< Int > | antennaId_p
ScalarColumn< Double > | interval_p
ScalarColumn< Double > | time_p
ScalarColumn< Float > | dewPoint_p
ScalarColumn< Bool > | dewPointFlag_p
ScalarColumn< Float > | H2O_p
ScalarColumn< Bool > | H2OFlag_p
ScalarColumn< Float > | ionosElectron_p
ScalarColumn< Bool > | ionosElectronFlag_p
ScalarColumn< Float > | pressure_p
ScalarColumn< Bool > | pressureFlag_p
ScalarColumn< Float > | relHumidity_p
ScalarColumn< Bool > | relHumidityFlag_p
ScalarColumn< Float > | temperature_p
ScalarColumn< Bool > | temperatureFlag_p
ScalarColumn< Float > | windDirection_p
ScalarColumn< Bool > | windDirectionFlag_p
ScalarColumn< Float > | windSpeed_p
ScalarColumn< Bool > | windSpeedFlag_p
ScalarMeasColumn< MEpoch > | timeMeas_p
ScalarQuantColumn< Double > | intervalQuant_p
ScalarQuantColumn< Double > | timeQuant_p
ScalarQuantColumn< Float > | dewPointQuant_p
ScalarQuantColumn< Float > | H2OQuant_p
ScalarQuantColumn< Float > | ionosElectronQuant_p
ScalarQuantColumn< Float > | pressureQuant_p
ScalarQuantColumn< Float > | temperatureQuant_p
ScalarQuantColumn< Float > | windDirectionQuant_p
ScalarQuantColumn< Float > | windSpeedQuant_p

## Detailed Description

A class to provide easy access to MSWeather columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSWeather
- ArrayColumn
- ScalarColumn

### Etymology

MSWeatherColumns stands for MeasurementSet Weather Table columns.

### Synopsis

This class provides access to the columns in the MSWeather Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 73 of file MSWeatherColumns.h.

## Constructor & Destructor Documentation

## MSWeatherColumns() [1/3]

casacore::MSWeatherColumns::MSWeatherColumns | ( | const MSWeather & | msWeather | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSWeatherColumns(), and operator=().

## ~MSWeatherColumns()

casacore::MSWeatherColumns::~MSWeatherColumns | ( |  | ) |

The destructor does nothing special.

## MSWeatherColumns() [2/3]

casacore::MSWeatherColumns::MSWeatherColumns | ( |  | ) |

protected

## MSWeatherColumns() [3/3]

casacore::MSWeatherColumns::MSWeatherColumns | ( | const MSWeatherColumns & |  | ) |

private

References MSWeatherColumns().

## Member Function Documentation

## antennaId() [1/2]

ScalarColumn< Int > & casacore::MSWeatherColumns::antennaId | ( |  | ) |

inline

Access to required columns.

Definition at line 87 of file MSWeatherColumns.h.

References antennaId_p.

## antennaId() [2/2]

const ScalarColumn< Int > & casacore::MSWeatherColumns::antennaId | ( |  | ) | const

inline

Const access to columns.

Definition at line 124 of file MSWeatherColumns.h.

References antennaId_p.

## attach()

void casacore::MSWeatherColumns::attach | ( | const MSWeather & | msWeather | ) |

protected

## attachOptionalCols()

void casacore::MSWeatherColumns::attachOptionalCols | ( | const MSWeather & | msWeather | ) |

private

## dewPoint() [1/2]

ScalarColumn< Float > & casacore::MSWeatherColumns::dewPoint | ( |  | ) |

inline

Access to optional columns.

Definition at line 97 of file MSWeatherColumns.h.

References dewPoint_p.

## dewPoint() [2/2]

const ScalarColumn< Float > & casacore::MSWeatherColumns::dewPoint | ( |  | ) | const

inline

Access to optional columns.

Definition at line 135 of file MSWeatherColumns.h.

References dewPoint_p.

## dewPointFlag() [1/2]

ScalarColumn< Bool > & casacore::MSWeatherColumns::dewPointFlag | ( |  | ) |

inline

Definition at line 99 of file MSWeatherColumns.h.

References dewPointFlag_p.

## dewPointFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSWeatherColumns::dewPointFlag | ( |  | ) | const

inline

Definition at line 138 of file MSWeatherColumns.h.

References dewPointFlag_p.

## dewPointQuant() [1/2]

ScalarQuantColumn< Float > & casacore::MSWeatherColumns::dewPointQuant | ( |  | ) |

inline

Definition at line 98 of file MSWeatherColumns.h.

References dewPointQuant_p.

## dewPointQuant() [2/2]

const ScalarQuantColumn< Float > & casacore::MSWeatherColumns::dewPointQuant | ( |  | ) | const

inline

Definition at line 136 of file MSWeatherColumns.h.

References dewPointQuant_p.

## H2O() [1/2]

ScalarColumn< Float > & casacore::MSWeatherColumns::H2O | ( |  | ) |

inline

Definition at line 100 of file MSWeatherColumns.h.

References H2O_p.

## H2O() [2/2]

const ScalarColumn< Float > & casacore::MSWeatherColumns::H2O | ( |  | ) | const

inline

Definition at line 139 of file MSWeatherColumns.h.

References H2O_p.

## H2OFlag() [1/2]

ScalarColumn< Bool > & casacore::MSWeatherColumns::H2OFlag | ( |  | ) |

inline

Definition at line 102 of file MSWeatherColumns.h.

References H2OFlag_p.

## H2OFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSWeatherColumns::H2OFlag | ( |  | ) | const

inline

Definition at line 140 of file MSWeatherColumns.h.

References H2OFlag_p.

## H2OQuant() [1/2]

ScalarQuantColumn< Float > & casacore::MSWeatherColumns::H2OQuant | ( |  | ) |

inline

Definition at line 101 of file MSWeatherColumns.h.

References H2OQuant_p.

## H2OQuant() [2/2]

const ScalarQuantColumn< Float > & casacore::MSWeatherColumns::H2OQuant | ( |  | ) | const

inline

Definition at line 141 of file MSWeatherColumns.h.

References H2OQuant_p.

## interval() [1/2]

ScalarColumn< Double > & casacore::MSWeatherColumns::interval | ( |  | ) |

inline

Definition at line 88 of file MSWeatherColumns.h.

References interval_p.

## interval() [2/2]

const ScalarColumn< Double > & casacore::MSWeatherColumns::interval | ( |  | ) | const

inline

Definition at line 125 of file MSWeatherColumns.h.

References interval_p.

## intervalQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSWeatherColumns::intervalQuant | ( |  | ) |

inline

Definition at line 89 of file MSWeatherColumns.h.

References intervalQuant_p.

## intervalQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSWeatherColumns::intervalQuant | ( |  | ) | const

inline

Definition at line 126 of file MSWeatherColumns.h.

References intervalQuant_p.

## ionosElectron() [1/2]

ScalarColumn< Float > & casacore::MSWeatherColumns::ionosElectron | ( |  | ) |

inline

Definition at line 103 of file MSWeatherColumns.h.

References ionosElectron_p.

## ionosElectron() [2/2]

const ScalarColumn< Float > & casacore::MSWeatherColumns::ionosElectron | ( |  | ) | const

inline

Definition at line 142 of file MSWeatherColumns.h.

References ionosElectron_p.

## ionosElectronFlag() [1/2]

ScalarColumn< Bool > & casacore::MSWeatherColumns::ionosElectronFlag | ( |  | ) |

inline

Definition at line 105 of file MSWeatherColumns.h.

References ionosElectronFlag_p.

## ionosElectronFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSWeatherColumns::ionosElectronFlag | ( |  | ) | const

inline

Definition at line 145 of file MSWeatherColumns.h.

References ionosElectronFlag_p.

## ionosElectronQuant() [1/2]

ScalarQuantColumn< Float > & casacore::MSWeatherColumns::ionosElectronQuant | ( |  | ) |

inline

Definition at line 104 of file MSWeatherColumns.h.

References ionosElectronQuant_p.

## ionosElectronQuant() [2/2]

const ScalarQuantColumn< Float > & casacore::MSWeatherColumns::ionosElectronQuant | ( |  | ) | const

inline

Definition at line 143 of file MSWeatherColumns.h.

References ionosElectronQuant_p.

## isNull()

Bool casacore::MSWeatherColumns::isNull | ( |  | ) | const

inline

Is this object defined?

(MSWeather table is optional)

Definition at line 83 of file MSWeatherColumns.h.

References isNull_p.

Referenced by nrow().

## nrow()

rownr_t casacore::MSWeatherColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Returns zero if the object is null.

Definition at line 172 of file MSWeatherColumns.h.

References antennaId_p, and isNull().

## operator=()

MSWeatherColumns & casacore::MSWeatherColumns::operator= | ( | const MSWeatherColumns & |  | ) |

private

References MSWeatherColumns().

## pressure() [1/2]

ScalarColumn< Float > & casacore::MSWeatherColumns::pressure | ( |  | ) |

inline

Definition at line 106 of file MSWeatherColumns.h.

References pressure_p.

## pressure() [2/2]

const ScalarColumn< Float > & casacore::MSWeatherColumns::pressure | ( |  | ) | const

inline

Definition at line 147 of file MSWeatherColumns.h.

References pressure_p.

## pressureFlag() [1/2]

ScalarColumn< Bool > & casacore::MSWeatherColumns::pressureFlag | ( |  | ) |

inline

Definition at line 108 of file MSWeatherColumns.h.

References pressureFlag_p.

## pressureFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSWeatherColumns::pressureFlag | ( |  | ) | const

inline

Definition at line 150 of file MSWeatherColumns.h.

References pressureFlag_p.

## pressureQuant() [1/2]

ScalarQuantColumn< Float > & casacore::MSWeatherColumns::pressureQuant | ( |  | ) |

inline

Definition at line 107 of file MSWeatherColumns.h.

References pressureQuant_p.

## pressureQuant() [2/2]

const ScalarQuantColumn< Float > & casacore::MSWeatherColumns::pressureQuant | ( |  | ) | const

inline

Definition at line 148 of file MSWeatherColumns.h.

References pressureQuant_p.

## relHumidity() [1/2]

ScalarColumn< Float > & casacore::MSWeatherColumns::relHumidity | ( |  | ) |

inline

Definition at line 109 of file MSWeatherColumns.h.

References relHumidity_p.

## relHumidity() [2/2]

const ScalarColumn< Float > & casacore::MSWeatherColumns::relHumidity | ( |  | ) | const

inline

Definition at line 151 of file MSWeatherColumns.h.

References relHumidity_p.

## relHumidityFlag() [1/2]

ScalarColumn< Bool > & casacore::MSWeatherColumns::relHumidityFlag | ( |  | ) |

inline

Definition at line 110 of file MSWeatherColumns.h.

References relHumidityFlag_p.

## relHumidityFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSWeatherColumns::relHumidityFlag | ( |  | ) | const

inline

Definition at line 152 of file MSWeatherColumns.h.

References relHumidityFlag_p.

## setEpochRef()

void casacore::MSWeatherColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the TIME column.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## temperature() [1/2]

ScalarColumn< Float > & casacore::MSWeatherColumns::temperature | ( |  | ) |

inline

Definition at line 111 of file MSWeatherColumns.h.

References temperature_p.

## temperature() [2/2]

const ScalarColumn< Float > & casacore::MSWeatherColumns::temperature | ( |  | ) | const

inline

Definition at line 154 of file MSWeatherColumns.h.

References temperature_p.

## temperatureFlag() [1/2]

ScalarColumn< Bool > & casacore::MSWeatherColumns::temperatureFlag | ( |  | ) |

inline

Definition at line 113 of file MSWeatherColumns.h.

References temperatureFlag_p.

## temperatureFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSWeatherColumns::temperatureFlag | ( |  | ) | const

inline

Definition at line 157 of file MSWeatherColumns.h.

References temperatureFlag_p.

## temperatureQuant() [1/2]

ScalarQuantColumn< Float > & casacore::MSWeatherColumns::temperatureQuant | ( |  | ) |

inline

Definition at line 112 of file MSWeatherColumns.h.

References temperatureQuant_p.

## temperatureQuant() [2/2]

const ScalarQuantColumn< Float > & casacore::MSWeatherColumns::temperatureQuant | ( |  | ) | const

inline

Definition at line 155 of file MSWeatherColumns.h.

References temperatureQuant_p.

## time() [1/2]

ScalarColumn< Double > & casacore::MSWeatherColumns::time | ( |  | ) |

inline

Definition at line 90 of file MSWeatherColumns.h.

References time_p.

## time() [2/2]

const ScalarColumn< Double > & casacore::MSWeatherColumns::time | ( |  | ) | const

inline

Definition at line 128 of file MSWeatherColumns.h.

References time_p.

## timeMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSWeatherColumns::timeMeas | ( |  | ) |

inline

Definition at line 92 of file MSWeatherColumns.h.

References timeMeas_p.

## timeMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSWeatherColumns::timeMeas | ( |  | ) | const

inline

Definition at line 130 of file MSWeatherColumns.h.

References timeMeas_p.

## timeQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSWeatherColumns::timeQuant | ( |  | ) |

inline

Definition at line 91 of file MSWeatherColumns.h.

References timeQuant_p.

## timeQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSWeatherColumns::timeQuant | ( |  | ) | const

inline

Definition at line 129 of file MSWeatherColumns.h.

References timeQuant_p.

## windDirection() [1/2]

ScalarColumn< Float > & casacore::MSWeatherColumns::windDirection | ( |  | ) |

inline

Definition at line 114 of file MSWeatherColumns.h.

References windDirection_p.

## windDirection() [2/2]

const ScalarColumn< Float > & casacore::MSWeatherColumns::windDirection | ( |  | ) | const

inline

Definition at line 159 of file MSWeatherColumns.h.

References windDirection_p.

## windDirectionFlag() [1/2]

ScalarColumn< Bool > & casacore::MSWeatherColumns::windDirectionFlag | ( |  | ) |

inline

Definition at line 116 of file MSWeatherColumns.h.

References windDirectionFlag_p.

## windDirectionFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSWeatherColumns::windDirectionFlag | ( |  | ) | const

inline

Definition at line 162 of file MSWeatherColumns.h.

References windDirectionFlag_p.

## windDirectionQuant() [1/2]

ScalarQuantColumn< Float > & casacore::MSWeatherColumns::windDirectionQuant | ( |  | ) |

inline

Definition at line 115 of file MSWeatherColumns.h.

References windDirectionQuant_p.

## windDirectionQuant() [2/2]

const ScalarQuantColumn< Float > & casacore::MSWeatherColumns::windDirectionQuant | ( |  | ) | const

inline

Definition at line 160 of file MSWeatherColumns.h.

References windDirectionQuant_p.

## windSpeed() [1/2]

ScalarColumn< Float > & casacore::MSWeatherColumns::windSpeed | ( |  | ) |

inline

Definition at line 117 of file MSWeatherColumns.h.

References windSpeed_p.

## windSpeed() [2/2]

const ScalarColumn< Float > & casacore::MSWeatherColumns::windSpeed | ( |  | ) | const

inline

Definition at line 164 of file MSWeatherColumns.h.

References windSpeed_p.

## windSpeedFlag() [1/2]

ScalarColumn< Bool > & casacore::MSWeatherColumns::windSpeedFlag | ( |  | ) |

inline

Definition at line 119 of file MSWeatherColumns.h.

References windSpeedFlag_p.

## windSpeedFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSWeatherColumns::windSpeedFlag | ( |  | ) | const

inline

Definition at line 167 of file MSWeatherColumns.h.

References windSpeedFlag_p.

## windSpeedQuant() [1/2]

ScalarQuantColumn< Float > & casacore::MSWeatherColumns::windSpeedQuant | ( |  | ) |

inline

Definition at line 118 of file MSWeatherColumns.h.

References windSpeedQuant_p.

## windSpeedQuant() [2/2]

const ScalarQuantColumn< Float > & casacore::MSWeatherColumns::windSpeedQuant | ( |  | ) | const

inline

Definition at line 165 of file MSWeatherColumns.h.

References windSpeedQuant_p.

## Member Data Documentation

## antennaId_p

ScalarColumn<Int> casacore::MSWeatherColumns::antennaId_p

private

Definition at line 206 of file MSWeatherColumns.h.

Referenced by antennaId(), antennaId(), and nrow().

## dewPoint_p

ScalarColumn<Float> casacore::MSWeatherColumns::dewPoint_p

private

Definition at line 210 of file MSWeatherColumns.h.

Referenced by dewPoint(), and dewPoint().

## dewPointFlag_p

ScalarColumn<Bool> casacore::MSWeatherColumns::dewPointFlag_p

private

Definition at line 211 of file MSWeatherColumns.h.

Referenced by dewPointFlag(), and dewPointFlag().

## dewPointQuant_p

ScalarQuantColumn<Float> casacore::MSWeatherColumns::dewPointQuant_p

private

Definition at line 234 of file MSWeatherColumns.h.

Referenced by dewPointQuant(), and dewPointQuant().

## H2O_p

ScalarColumn<Float> casacore::MSWeatherColumns::H2O_p

private

Definition at line 212 of file MSWeatherColumns.h.

Referenced by H2O(), and H2O().

## H2OFlag_p

ScalarColumn<Bool> casacore::MSWeatherColumns::H2OFlag_p

private

Definition at line 213 of file MSWeatherColumns.h.

Referenced by H2OFlag(), and H2OFlag().

## H2OQuant_p

ScalarQuantColumn<Float> casacore::MSWeatherColumns::H2OQuant_p

private

Definition at line 235 of file MSWeatherColumns.h.

Referenced by H2OQuant(), and H2OQuant().

## interval_p

ScalarColumn<Double> casacore::MSWeatherColumns::interval_p

private

Definition at line 207 of file MSWeatherColumns.h.

Referenced by interval(), and interval().

## intervalQuant_p

ScalarQuantColumn<Double> casacore::MSWeatherColumns::intervalQuant_p

private

Definition at line 231 of file MSWeatherColumns.h.

Referenced by intervalQuant(), and intervalQuant().

## ionosElectron_p

ScalarColumn<Float> casacore::MSWeatherColumns::ionosElectron_p

private

Definition at line 214 of file MSWeatherColumns.h.

Referenced by ionosElectron(), and ionosElectron().

## ionosElectronFlag_p

ScalarColumn<Bool> casacore::MSWeatherColumns::ionosElectronFlag_p

private

Definition at line 215 of file MSWeatherColumns.h.

Referenced by ionosElectronFlag(), and ionosElectronFlag().

## ionosElectronQuant_p

ScalarQuantColumn<Float> casacore::MSWeatherColumns::ionosElectronQuant_p

private

Definition at line 236 of file MSWeatherColumns.h.

Referenced by ionosElectronQuant(), and ionosElectronQuant().

## isNull_p

Bool casacore::MSWeatherColumns::isNull_p

private

Definition at line 203 of file MSWeatherColumns.h.

Referenced by isNull().

## pressure_p

ScalarColumn<Float> casacore::MSWeatherColumns::pressure_p

private

Definition at line 216 of file MSWeatherColumns.h.

Referenced by pressure(), and pressure().

## pressureFlag_p

ScalarColumn<Bool> casacore::MSWeatherColumns::pressureFlag_p

private

Definition at line 217 of file MSWeatherColumns.h.

Referenced by pressureFlag(), and pressureFlag().

## pressureQuant_p

ScalarQuantColumn<Float> casacore::MSWeatherColumns::pressureQuant_p

private

Definition at line 237 of file MSWeatherColumns.h.

Referenced by pressureQuant(), and pressureQuant().

## relHumidity_p

ScalarColumn<Float> casacore::MSWeatherColumns::relHumidity_p

private

Definition at line 218 of file MSWeatherColumns.h.

Referenced by relHumidity(), and relHumidity().

## relHumidityFlag_p

ScalarColumn<Bool> casacore::MSWeatherColumns::relHumidityFlag_p

private

Definition at line 219 of file MSWeatherColumns.h.

Referenced by relHumidityFlag(), and relHumidityFlag().

## temperature_p

ScalarColumn<Float> casacore::MSWeatherColumns::temperature_p

private

Definition at line 220 of file MSWeatherColumns.h.

Referenced by temperature(), and temperature().

## temperatureFlag_p

ScalarColumn<Bool> casacore::MSWeatherColumns::temperatureFlag_p

private

Definition at line 221 of file MSWeatherColumns.h.

Referenced by temperatureFlag(), and temperatureFlag().

## temperatureQuant_p

ScalarQuantColumn<Float> casacore::MSWeatherColumns::temperatureQuant_p

private

Definition at line 238 of file MSWeatherColumns.h.

Referenced by temperatureQuant(), and temperatureQuant().

## time_p

ScalarColumn<Double> casacore::MSWeatherColumns::time_p

private

Definition at line 208 of file MSWeatherColumns.h.

Referenced by time(), and time().

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::MSWeatherColumns::timeMeas_p

private

Definition at line 228 of file MSWeatherColumns.h.

Referenced by timeMeas(), and timeMeas().

## timeQuant_p

ScalarQuantColumn<Double> casacore::MSWeatherColumns::timeQuant_p

private

Definition at line 232 of file MSWeatherColumns.h.

Referenced by timeQuant(), and timeQuant().

## windDirection_p

ScalarColumn<Float> casacore::MSWeatherColumns::windDirection_p

private

Definition at line 222 of file MSWeatherColumns.h.

Referenced by windDirection(), and windDirection().

## windDirectionFlag_p

ScalarColumn<Bool> casacore::MSWeatherColumns::windDirectionFlag_p

private

Definition at line 223 of file MSWeatherColumns.h.

Referenced by windDirectionFlag(), and windDirectionFlag().

## windDirectionQuant_p

ScalarQuantColumn<Float> casacore::MSWeatherColumns::windDirectionQuant_p

private

Definition at line 239 of file MSWeatherColumns.h.

Referenced by windDirectionQuant(), and windDirectionQuant().

## windSpeed_p

ScalarColumn<Float> casacore::MSWeatherColumns::windSpeed_p

private

Definition at line 224 of file MSWeatherColumns.h.

Referenced by windSpeed(), and windSpeed().

## windSpeedFlag_p

ScalarColumn<Bool> casacore::MSWeatherColumns::windSpeedFlag_p

private

Definition at line 225 of file MSWeatherColumns.h.

Referenced by windSpeedFlag(), and windSpeedFlag().

## windSpeedQuant_p

ScalarQuantColumn<Float> casacore::MSWeatherColumns::windSpeedQuant_p

private

Definition at line 240 of file MSWeatherColumns.h.

Referenced by windSpeedQuant(), and windSpeedQuant().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSWeatherColumns.h